org.apache.solr.common.cloud

## Class ConnectionManager

- java.lang.Object
- - org.apache.solr.common.cloud.ConnectionManager

- All Implemented Interfaces:
    org.apache.zookeeper.Watcher

      public class ConnectionManager
      extends Object
      implements org.apache.zookeeper.Watcher

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.zookeeper.Watcher

      `org.apache.zookeeper.Watcher.Event`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionManager(String name, SolrZkClient client, String zkServerAddress, ZkClientConnectionStrategy strat, OnReconnect onConnect, BeforeReconnect beforeReconnect)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `boolean` | `isConnected()`
    `boolean` | `isLikelyExpired()`
    `void` | `process(org.apache.zookeeper.WatchedEvent event)`
    `void` | `waitForConnected(long waitForConnection)`
    `void` | `waitForDisconnected(long timeout)`
    `void` | `waitSleep(long waitFor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionManager

          public ConnectionManager(String name,
                                   SolrZkClient client,
                                   String zkServerAddress,
                                   ZkClientConnectionStrategy strat,
                                   OnReconnect onConnect,
                                   BeforeReconnect beforeReconnect)

  - ### Method Detail

    - #### process

          public void process(org.apache.zookeeper.WatchedEvent event)

      Specified by:
        `process` in interface `org.apache.zookeeper.Watcher`

    - #### isConnected

          public boolean isConnected()

    - #### close

          public void close()

    - #### isLikelyExpired

          public boolean isLikelyExpired()

    - #### waitSleep

          public void waitSleep(long waitFor)

    - #### waitForConnected

          public void waitForConnected(long waitForConnection)
                                throws TimeoutException

      Throws:
        `TimeoutException`

    - #### waitForDisconnected

          public void waitForDisconnected(long timeout)
                                   throws InterruptedException,
                                          TimeoutException

      Throws:
        `InterruptedException`
        `TimeoutException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.